import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_bottom_bar.g.dart';

@ComponentCopyWithExtension()
class CustomBottomBar extends BottomNavigationBarComponent
    with $CustomBottomBarCWMixin {
  const CustomBottomBar({super.key});

  @override
  Widget build(BuildContext context) => BottomNavigationBar(
        items: const [
          BottomNavigationBarItem(
            icon: Icon(
              Icons.e_mobiledata,
            ),
            label: 'Icon 1',
          ),
          BottomNavigationBarItem(
            icon: Icon(
              Icons.do_not_disturb_off,
            ),
            label: 'Icon 2',
          ),
        ],
        backgroundColor: Colors.blue,
      );
}
